Name:                takari-pom
Version:             54
Release:             2
Summary:             Takari parent POM
License:             EPL-1.0
URL:                 https://github.com/takari/takari-pom/
BuildArch:           noarch
Source0:             https://github.com/takari/takari-pom/archive/takari-%{version}.tar.gz
Patch0:              0001-adapt-java-source-version.patch

BuildRequires:       maven-local mvn(io.takari.maven.plugins:takari-lifecycle-plugin)
Obsoletes:           tesla-pom < 4-7

%description
Takari is a next generation development infrastructure framework.  This
package provides Takari POM file to by used by Apache Maven.

%prep
%setup -q -n %{name}-takari-%{version}
%patch0 -p1
%pom_remove_plugin :spotless-maven-plugin
%pom_remove_plugin :modernizer-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin
%mvn_alias : io.tesla:tesla
%pom_xpath_inject 'pom:pluginManagement/pom:plugins/pom:plugin[pom:artifactId="takari-lifecycle-plugin"]/pom:configuration' '<proc>none</proc>'

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%changelog
* Fri Jul 12 2024 Ge Wang <wang__ge@126.com> - 54-2
- Adapt JDK version

* Tue Jun 04 2024 yaoxin <yao_xin001@hoperun.com> - 54-1
- Upgrade to 54

* Fri Aug 14 2020 maminjie <maminjie1@huawei.com> - 27-1
- package init
